var express = require("express");
var app     = express();
// these 3 are for logging with morgan
var morgan = require('morgan');
var path = require('path'); 
var fs = require('fs');
// create a write stream (in append mode)
var accessLogStream = fs.createWriteStream(path.join(__dirname, 'access.log'), {flags: 'a'})
// setup the logger and log all webserver requests to the access.log
app.use(morgan('combined', {stream: accessLogStream}))
// Store HTML, JS and CSS files in the public folder.
app.use(express.static(__dirname + '/public'));
// Route to index.html
app.get('/',function(req,res){
  res.setHeader('Content-Type', 'text/plain');
  res.sendFile('index.html');
});
// Start server
app.listen(3300);
// Output feedback to the console 
console.log("Your Ultraquick v0.0.3 website is running at http://localhost:3300");


